      var serie,dag,maand,jaar;
	  var huidigeDagNummer, eenDagNummer;
	  var cumDagenMaandArray = new Array();
	  
	  var mapNaam = System.Gadget.path;
	  var agendaBestand = mapNaam + '\\..\\Agenda2.txt';  
	  var ForReading = 1, ForWriting = 2;
	  var fso2,f2;
	  
	  var verschil;
	  
	  var vandaag = new Date();
	  jaar = vandaag.getFullYear();
	  maand = vandaag.getMonth();
	  dag = vandaag.getDate();
      huidigeDagNummer = dagNummerVanHetJaar(dag,maand);
	    
	    
      function dagNummerVanHetJaar(dag,maand){
	    //nog schrikkel
	    cumDagenMaandArray = new Array(0,31,59,90,120,151,181,212,243,273,304,334);
	    var nummer = cumDagenMaandArray[maand] + dag;
        return nummer;
       }
	  
	  
	  function doeKeus(){
	    if (document.getElementById('idSel').selectedIndex==1){
		  document.getElementById('idKeus').style.visibility='visible';
		}
		if (document.getElementById('idSel').selectedIndex==2){ //mickey
		  toonMickey();
		  document.getElementById('idSel').selectedIndex=0;
		}
	  }
	  
	  function niksWissen(){
	    document.getElementById('idKeus').style.visibility='hidden';
		document.getElementById('idSel').selectedIndex=0;
	  }
	 
	 
	  function verouderdeDataWissen(){
	    var fso2 = new ActiveXObject("Scripting.FileSystemObject");
	    if (fso2.FileExists(agendaBestand)){
 	      var f2 = fso2.OpenTextFile(agendaBestand, 1);
	      var r;
		  var nieuweData = new Array();
	      while (!f2.AtEndOfStream) {
	        r = f2.ReadLine();
		    serie = r.substring(0,8); //ddmmjjjj
		    if (jaar == serie.substr(4,4)){  //dit jaar
		      dag = serie.substr(0,2);
		      dag = parseInt(dag);
		      maand = serie.substr(2,2);
		      maand = parseInt(maand);
		      maand=maand-1;
		      eenDagNummer = dagNummerVanHetJaar(dag,maand);
		      if (huidigeDagNummer <= eenDagNummer){ // vandaag moet kleiner zijn dan komende datum
		        nieuweData[nieuweData.length] = r;
	          }
		    }
			if (jaar < serie.substr(4,4)){  // jaar na dit jaar
			  nieuweData[nieuweData.length] = r;
			}

	      } //end while
		  f2.Close();
		  var fso3 = new ActiveXObject("Scripting.FileSystemObject");
		  var f3 = fso3.OpenTextFile(agendaBestand, 2);
		  for (var i=0;i<nieuweData.length;i++){
		    f3.WriteLine(nieuweData[i]);
		  }
		  f3.WriteLine('999');
	      f3.Close();
	    }
		document.getElementById('idKeus').style.visibility='hidden';
		document.getElementById('idSel').selectedIndex=0;
      }